Projeto em laravel 5.4 com problemas na hora do com... | Fórum | School of Net

Deseja poder participar de nosso fórum e tirar todas as suas dúvidas?
Clique aqui e assine nosso plano de acesso ilimitado. Saiba mais.

por Ricardo

2 semanas, 2 dias atrás Ricardo

Projeto em laravel 5.4 com problemas na hora do composer update

Prezados Preciso dar uma manutenção em um sistema web com laravel 5.4. Fiz o git clone do meu github e após o clone, quando dou um composer update, ele fica parado com o aviso Updating dependencies (including require-dev). e mesmo depois de horas não funciona. Abaixo coloco o conteúdo do arquivo composer.json ``` { "name": "laravel/laravel", "description": "The Laravel Framework.", "keywords": ["framework", "laravel"], "license": "MIT", "type": "project", "require": { "php": ">=5.6.4", "barryvdh/laravel-cors": "0.9.2", "caouecs/laravel-lang": "~3.0", "dingo/api": "[email protected]", "doctrine/dbal": "~2.3", "folklore/image": "0.3.16", "jailtonsc/validador-cpf-laravel": "dev-master", "jrean/laravel-user-verification": "4.1.2", "kris/laravel-form-builder": "1.11.0", "laravel/framework": "5.4.*", "laravel/tinker": "~1.0", "league/flysystem-aws-s3-v3": "~1.0", "m165437/laravel-blueprint-docs": "dev-master", "maatwebsite/excel": "~2.1.0", "moontoast/math": "dev-master", "patricktalmadge/bootstrapper": "5.10", "prettus/l5-repository": "^2.6", "tymon/jwt-auth": "restrito" }, "require-dev": { "barryvdh/laravel-ide-helper": "^2.3", "fzaninotto/faker": "~1.4", "mockery/mockery": "0.9.*", "phpunit/phpunit": "~5.7" }, "autoload": { "classmap": [ "database" ], "psr-4": { "Preditor\\": "app/" } }, "autoload-dev": { "psr-4": { "Tests\\": "tests/" } }, "scripts": { "post-root-package-install": [ "php -r \"file_exists('.env') || copy('.env.example', '.env');\"" ], "post-create-project-cmd": [ "php artisan key:generate" ], "post-install-cmd": [ "Illuminate\\Foundation\\ComposerScripts::postInstall", "php artisan optimize" ], "post-update-cmd": [ "Illuminate\\Foundation\\ComposerScripts::postUpdate", "php artisan optimize" ] }, "config": { "preferred-install": "dist", "sort-packages": true }, "minimum-stability": "dev" } ``` Poderiam sinalizar porque isso ocorre e o que precisa ser feito?

6 Respostas